.header {
    width: 100%;
    height: 100px;
    background: #fff;
    box-shadow: 0 5px 10px rgba(242, 242, 242)
}

.pc {
    width: 80%;
    height: 100px;
    margin: 0 auto;
    justify-content: space-between;
    align-items: center;
}

.nav-toggle {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 22px;
    cursor: pointer;
}

.nav-toggle span {
    width: 100%;
    height: 2px;
    background-color: #333;
    transition: all 0.3s ease-in-out;
}

.nav {
    width: 60%;
}

.flex-ul {
    justify-content: space-between
}

.flex-ul a {
    width: 125px;
    height: 100px;
    color: #2e2e2e;
    text-align: center;
}

.flex-ul a li {
    margin: 30% 0 0 0;
}

.flex-ul a:hover {
    color: #fff;
    background: #c11818;
}

a.on {
    color: #fff;
    background: #c11818;
}

/* PC端导航样式 */
.pc {
    display: flex;
}

.mobile {
    display: none;
}

/* 移动端导航样式 */
@media screen and (max-width: 768px) {
    .header {
        height: auto;
    }

    .pc {
        display: none;
        position: relative;
    }

    .mobile {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
        align-items: center;
        width: 100%;
    }

    .logo {
        width: 100%;
        background: url(../images/beijing.png) no-repeat;
        padding: 10px 10px 30px;
    }

    .logo img {
        width: 150px;
    }

    .nav {
        width: 100%;
        display: flex;
        align-items: center;
        padding: 0 10px;
        border-radius: 10px;
        margin-top: -20px;
        background: #fff;
    }

    .nav-list {
        flex: 1;
    }

    .nav-list .flex-ul {
        display: flex;
        align-items: center;
        flex-direction: row;
    }

    .nav-list .flex-ul a {
        font-size: 14px;
        padding: 0 10px;
        width: 100%;
        height: auto;
        min-height: 40px;
        margin: 5px 0;
        text-align: left;
        color: #999;
    }

    .nav-list .flex-ul a.on {
        color: #333333;
        font-weight: bold;
        background: #fff;
    }

    .nav-list .flex-ul a:hover {
        color: #fff;
        /* font-weight: bold; */
        /* background: #fff; */
    }

    .nav-list .flex-ul a li {
        margin: 10px 0;
    }

    .menu-toggle {
        width: 24px;
        height: 20px;
        cursor: pointer;
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    .menu-toggle span {
        display: block;
        width: 100%;
        height: 2px;
        background-color: #ccc;
    }

    .dropdown-menu {
        display: none;
        position: absolute;
        top: 115px;
        right: 0;
        background: #fff;
        box-shadow: 0 2px 8px rgba(0, 0, 0, 0.1);
        padding: 10px 0;
        min-width: 120px;
        transform: translateY(-20px);
        opacity: 0;
        transition: transform 0.3s ease, opacity 0.3s ease;
        z-index: 100;
        border-radius: 6px;
    }


    .dropdown-menu.show {
        display: block;
        transform: translateY(0);
        opacity: 1;
    }

    .dropdown-menu a {
        display: block;
        padding: 8px 15px;
        color: #999;
        text-decoration: none;
    }

    .dropdown-menu a:hover {
        color: #ccc;
        font-weight: bold;
        background: #c11818;
    }

    .dropdown-menu a.on {
        color: #fff;
        font-weight: bold;
        background: #c11818;
    }
}